EDIT - bug #6781
bug # 6545 (Closed): [MASTER] Eclipse 4 bugs

Automatic update does not work anymore for TaxEditor
07/07/2017 02:32 PM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.10

Severity: critical Found in Version: Release 4.8
Description

| tried to update from TaxEditor version 4.7 to version 4.8 but the update stopped in the middle without the following error message:

'ENTRY org.eclipse.equinox.p2.engine 4 4 2017-08-02 10:30:08.933
IMESSAGE An error occurred while collecting items to be installed
!SUBENTRY 1 org.eclipse.equinox.p2.engine 4 0 2017-08-02 10:30:08.933
IMESSAGE session context was: (profile=DefaultProfile, phase=org.eclipse.equinox.internal.p2.engine
.phases.Collect, operand=, action=).
!'SUBENTRY 1 org.eclipse.equinox.p2.transport.ecf 4 1200 2017-08-02 10:30:08.933
IMESSAGE Artifact not found: http://cybertaxonomy.eu/download/taxeditor/update/nightly/plugins/org
.eclipse.nebula.widgets.compositetable_1.0.0.201706221838. jar.
I'STACK O
java.io.FileNotFoundException: http://cybertaxonomy.eu/download/taxeditor/update/nightly/plugins/o
rg.eclipse.nebula.widgets.compositetable_1.0.0.201706221838. jar

at org.eclipse.equinox.internal.p2.transport.ecf.RepositoryStatusHelper.checkFileNotFound (Repo
sitoryStatusHelper. java:297)

at org.eclipse.equinox.internal.p2.transport.ecf.FileReader.checkException (FileReader. java:480

at org.eclipse.equinox.internal.p2.transport.ecf.FileReader.sendRetrieveRequest (FileReader. jav
a:437)

at org.eclipse.equinox.internal.p2.transport.ecf.FileReader.readInto (FileReader. java:360)

at org.eclipse.equinox.internal.p2.transport.ecf.RepositoryTransport.download (RepositoryTransp
ort.java:101)

at org.eclipse.equinox.internal.p2.transport.ecf.RepositoryTransport.download (RepositoryTransp
ort.java:156)

at org.eclipse.equinox.internal.p2.artifact.repository.simple.SimpleArtifactRepository.downloa
dArtifact (SimpleArtifactRepository.java:669)

at org.eclipse.equinox.internal.p2.artifact.repository.simple.SimpleArtifactRepository.downloa
dArtifact (SimpleArtifactRepository.java:591)

at org.eclipse.equinox.internal.p2.artifact.repository.simple.SimpleArtifactRepository.getArti
fact (SimpleArtifactRepository. java:723)

at org.eclipse.equinox.internal.p2.artifact.repository.MirrorRequest.getArtifact (MirrorRequest
.java:319)

at org.eclipse.equinox.internal.p2.artifact.repository.MirrorRequest.transferSingle (MirrorRequ
est.java:288)

at org.eclipse.equinox.internal.p2.artifact.repository.MirrorRequest.transfer (MirrorRequest. ja
va:223)

at org.eclipse.equinox.internal.p2.artifact.repository.MirrorRequest.perform(MirrorRequest. jav
a:153)

at org.eclipse.equinox.internal.p2.artifact.repository.simple.SimpleArtifactRepository.getArti
fact (SimpleArtifactRepository.java:707)

at org.eclipse.equinox.internal.p2.artifact.repository.simple.DownloadJob.run (DownloadJob. java
:63)

at org.eclipse.core.internal. jobs.Worker.run (Worker. java:55)

It seems like there is something wrong with the dependency to the nebula widgets

Related issues:
Related to EDIT - feature request #4452: p2 update problem with nebula compos... Closed
Associated revisions

Revision 6d3302a5 - 08/02/2017 12:17 PM - Patrick Plitzner
ref #6781 Replace nebula update site with 2016 archived one

Revision b632fb88 - 08/10/2017 12:17 PM - Patrick Plitzner
ref #6781 Replace nebula update site with 2016 archived one

History

#1 - 07/07/2017 02:33 PM - Andreas Miiller
- Parent task set to #6565

#2 - 07/07/2017 02:52 PM - Andreas Miiller
- Parent task changed from #6565 to #6545

#3 - 08/02/2017 11:18 AM - Patrick Plitzner
- Description updated

#4 - 08/02/2017 11:22 AM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 4.10

#5 - 08/02/2017 11:22 AM - Patrick Plitzner
- Related to feature request #4452: p2 update problem with nebula compositetable dependency added

#6 - 08/09/2017 12:03 PM - Patrick Plitzner
- Status changed from New to Resolved

- Assignee changed from Patrick Plitzner to Andreas Mliller

| updated my week-old nightly (02.08) to the current version (08.08) and it worked. This did not succeed before the change of the update site for the
nebula widget. So | guess this will now also work for the next release. But the next release still has to be downloaded once again to have the changes
included. After that the update mechanism should work.

#7 - 09/14/2017 11:25 AM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Patrick Plitzner

| updated from 4.9.1 to 4.9.2 without problems. So | guess the problem is solved.

Still not solved is the update for the jre version, at least on Windows, but this is another issue.

#8 - 09/24/2017 01:10 AM - Andreas Miiller
- % Done changed from 0 to 100
